INTERFACE
SUBROUTINE VSPLTRANS(KPROMA,KST,KPROF,KFLEV,KFLSA,KFLEN,PX)
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLSA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
REAL(KIND=JPRB) ,INTENT(INOUT) :: PX(KPROMA,KFLSA:KFLEN)
END SUBROUTINE VSPLTRANS
END INTERFACE
